# Class ParticleGPU

#### Hierarchy

- Points<THREE.BufferGeometry, THREE.ShaderMaterial>
  - ParticleGPU

- Defined in lib/vfx/particle-gpu/particle.ts:81

##### Index

### Constructors

constructor

### Properties

needsRender
particleDeathAge
particlesPerSecond
paused

### Accessors

blending
texture

### Methods

dispose
pause
play
setTime

## Constructors

### constructor

- new ParticleGPU(args: Partial<ParticleGPUArgs>): ParticleGPU

  #### Parameters

  - args: Partial<ParticleGPUArgs>

  #### Returns ParticleGPU

  Overrides THREE.Points<THREE.BufferGeometry, THREE.ShaderMaterial>.constructor

  - Defined in lib/vfx/particle-gpu/particle.ts:93

## Properties

### needsRender

needsRender: boolean

- Defined in lib/vfx/particle-gpu/particle.ts:82

### particleDeathAge

particleDeathAge: number

- Defined in lib/vfx/particle-gpu/particle.ts:91

### particlesPerSecond

particlesPerSecond: number

- Defined in lib/vfx/particle-gpu/particle.ts:90

### paused

paused: boolean

- Defined in lib/vfx/particle-gpu/particle.ts:83

## Accessors

### blending

- get blending(): Blending

  材质混合方式

  #### Returns Blending

  - Defined in lib/vfx/particle-gpu/particle.ts:265
- set blending(value: Blending): void

  #### Parameters

  - value: Blending

  #### Returns void

  - Defined in lib/vfx/particle-gpu/particle.ts:268

### texture

- get texture(): Texture | null

  贴图素材

  #### Returns Texture | null

  - Defined in lib/vfx/particle-gpu/particle.ts:245
- set texture(value: Texture | null): void

  #### Parameters

  - value: Texture | null

  #### Returns void

  - Defined in lib/vfx/particle-gpu/particle.ts:249

## Methods

### dispose

- dispose(): void

  析构

  #### Returns void

  - Defined in lib/vfx/particle-gpu/particle.ts:308

### pause

- pause(): void

  暂停

  #### Returns void

  - Defined in lib/vfx/particle-gpu/particle.ts:273

### play

- play(): void

  开始

  #### Returns void

  - Defined in lib/vfx/particle-gpu/particle.ts:282

### setTime

- setTime(time: number): void

  通过 Five 默认调用的 setTime 方法

  #### Parameters

  - time: number

    毫秒

  #### Returns void

  - Defined in lib/vfx/particle-gpu/particle.ts:294